You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     cristianoro...@outlook.com
Last committer: m...@freebsd.org
Ident:          $FreeBSD: head/devel/vera++/Makefile 386097 2015-05-11 
18:34:57Z mat $
Log URL:        
http://beefy8.nyi.freebsd.org/data/head-armv6-default/p403218_s291949/logs/vera++-1.3.0.log
Build URL:      
http://beefy8.nyi.freebsd.org/build.html?mastername=head-armv6-default&build=p403218_s291949
Log:

====>> Building devel/vera++
build started at Thu Dec 10 14:39:31 UTC 2015
port directory: /usr/ports/devel/vera++
building for: FreeBSD head-armv6-default-job-19 11.0-CURRENT FreeBSD 
11.0-CURRENT r291949 arm
maintained by: cristianoro...@outlook.com
Makefile ident:      $FreeBSD: head/devel/vera++/Makefile 386097 2015-05-11 
18:34:57Z mat $
Poudriere version: 3.1.10
Host OSVERSION: 1100085
Jail OSVERSION: 1100091




!!! Jail is newer than host. (Jail: 1100091, Host: 1100085) !!!
!!! This is not supported. !!!
!!! Host kernel must be same or newer than jail. !!!
!!! Expect build failures. !!!



---Begin Environment---
SHELL=/bin/csh
UNAME_p=armv6
UNAME_m=arm
ABI_FILE=/usr/lib/crt1.o
OSVERSION=1100091
UNAME_v=FreeBSD 11.0-CURRENT r291949
UNAME_r=11.0-CURRENT
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
SAVED_TERM=screen
QEMU_EMULATING=1
MASTERMNT=/usr/local/poudriere/data/.m/head-armv6-default/ref
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
POUDRIERE_BUILD_TYPE=bulk
PKGNAME=vera++-1.3.0
OLDPWD=/
PWD=/usr/local/poudriere/data/.m/head-armv6-default/ref/.p/pool
MASTERNAME=head-armv6-default
SCRIPTPREFIX=/usr/local/share/poudriere
USER=root
HOME=/root
POUDRIERE_VERSION=3.1.10
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
LIBEXECPREFIX=/usr/local/libexec/poudriere
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
---End Environment---

---Begin OPTIONS List---
===> The following configuration options are available for vera++-1.3.0:
     DOCS=on: Build and/or install documentation
     LUA=on: Lua scripting language support
     PYTHON=on: Python bindings or support
===> Use 'make config' to modify these settings
---End OPTIONS List---

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/devel/vera++/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/devel/vera++/work  
HOME=/wrkdirs/usr/ports/devel/vera++/work TMPDIR="/tmp" SHELL=/bin/sh 
CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/devel/vera++/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/devel/vera++/work  
HOME=/wrkdirs/usr/ports/devel/vera++/work TMPDIR="/tmp" NO_PIE=yes 
SHELL=/bin/sh NO_LINT=YES PREFIX=/usr/local  LOCALBASE=/usr/local  
LIBDIR="/usr/lib"  CC="/nxb-bin/usr/bin/cc" CFLAGS="-O2 -pipe 
-mfloat-abi=softfp  -fno-strict-aliasing"  CPP="/nxb-bin/usr/bin/cpp" 
CPPFLAGS=""  LDFLAGS="" LIBS=""  CXX="/nxb-bin/usr/bin/c++" CXXFLAGS="-O2 -pipe 
-mfloat-abi=softfp -fno-strict-aliasing "  MANPREFIX="/usr/local" 
BSD_INSTALL_PROGRAM="install  -s -m 555"  BSD_INSTALL_LIB="install  -s -m 444"  
BSD_INSTALL_SCRIPT="install  -m 555"  BSD_INSTALL_DATA="install  -m 0644"  
BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
CMAKE_BUILD_TYPE="release"
OSREL=11.0
PREFIX=%D
LOCALBASE=/usr/local
RESETPREFIX=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
LIB32DIR=lib
DOCSDIR="share/doc/vera++"
EXAMPLESDIR="share/examples/vera++"
DATADIR="lib/vera++"
WWWDIR="www/vera++"
ETCDIR="etc/vera++"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/lib/vera++
DOCSDIR=/usr/local/share/doc/vera++
EXAMPLESDIR=/usr/local/share/examples/vera++
WWWDIR=/usr/local/www/vera++
ETCDIR=/usr/local/etc/vera++
--End SUB_LIST--

---Begin make.conf---
CC=/nxb-bin/usr/bin/cc
CPP=/nxb-bin/usr/bin/cpp
CXX=/nxb-bin/usr/bin/c++
AS=/nxb-bin/usr/bin/as
NM=/nxb-bin/usr/bin/nm
LD=/nxb-bin/usr/bin/ld
OBJCOPY=/nxb-bin/usr/bin/objcopy
SIZE=/nxb-bin/usr/bin/size
STRIPBIN=/nxb-bin/usr/bin/strip
SED=/nxb-bin/usr/bin/sed
READELF=/nxb-bin/usr/bin/readelf
RANLIB=/nxb-bin/usr/bin/ranlib
YACC=/nxb-bin/usr/bin/yacc
NM=/nxb-bin/usr/bin/nm
MAKE=/nxb-bin/usr/bin/make
STRINGS=/nxb-bin/usr/bin/strings
AWK=/nxb-bin/usr/bin/awk
FLEX=/nxb-bin/usr/bin/flex
CC=/nxb-bin/usr/bin/cc
CPP=/nxb-bin/usr/bin/cpp
CXX=/nxb-bin/usr/bin/c++
AS=/nxb-bin/usr/bin/as
NM=/nxb-bin/usr/bin/nm
LD=/nxb-bin/usr/bin/ld
OBJCOPY=/nxb-bin/usr/bin/objcopy
SIZE=/nxb-bin/usr/bin/size
STRIPBIN=/nxb-bin/usr/bin/strip
SED=/nxb-bin/usr/bin/sed
READELF=/nxb-bin/usr/bin/readelf
RANLIB=/nxb-bin/usr/bin/ranlib
YACC=/nxb-bin/usr/bin/yacc
NM=/nxb-bin/usr/bin/nm
MAKE=/nxb-bin/usr/bin/make
STRINGS=/nxb-bin/usr/bin/strings
AWK=/nxb-bin/usr/bin/awk
FLEX=/nxb-bin/usr/bin/flex
CC=/nxb-bin/usr/bin/cc
CPP=/nxb-bin/usr/bin/cpp
CXX=/nxb-bin/usr/bin/c++
AS=/nxb-bin/usr/bin/as
NM=/nxb-bin/usr/bin/nm
LD=/nxb-bin/usr/bin/ld
OBJCOPY=/nxb-bin/usr/bin/objcopy
SIZE=/nxb-bin/usr/bin/size
STRIPBIN=/nxb-bin/usr/bin/strip
SED=/nxb-bin/usr/bin/sed
READELF=/nxb-bin/usr/bin/readelf
RANLIB=/nxb-bin/usr/bin/ranlib
YACC=/nxb-bin/usr/bin/yacc
NM=/nxb-bin/usr/bin/nm
MAKE=/nxb-bin/usr/bin/make
STRINGS=/nxb-bin/usr/bin/strings
AWK=/nxb-bin/usr/bin/awk
FLEX=/nxb-bin/usr/bin/flex
CC=/nxb-bin/usr/bin/cc
CPP=/nxb-bin/usr/bin/cpp
CXX=/nxb-bin/usr/bin/c++
AS=/nxb-bin/usr/bin/as
NM=/nxb-bin/usr/bin/nm
LD=/nxb-bin/usr/bin/ld
OBJCOPY=/nxb-bin/usr/bin/objcopy
SIZE=/nxb-bin/usr/bin/size
STRIPBIN=/nxb-bin/usr/bin/strip
SED=/nxb-bin/usr/bin/sed
READELF=/nxb-bin/usr/bin/readelf
RANLIB=/nxb-bin/usr/bin/ranlib
YACC=/nxb-bin/usr/bin/yacc
NM=/nxb-bin/usr/bin/nm
MAKE=/nxb-bin/usr/bin/make
STRINGS=/nxb-bin/usr/bin/strings
AWK=/nxb-bin/usr/bin/awk
FLEX=/nxb-bin/usr/bin/flex
CC=/nxb-bin/usr/bin/cc
CPP=/nxb-bin/usr/bin/cpp
CXX=/nxb-bin/usr/bin/c++
AS=/nxb-bin/usr/bin/as
NM=/nxb-bin/usr/bin/nm
LD=/nxb-bin/usr/bin/ld
OBJCOPY=/nxb-bin/usr/bin/objcopy
SIZE=/nxb-bin/usr/bin/size
STRIPBIN=/nxb-bin/usr/bin/strip
SED=/nxb-bin/usr/bin/sed
READELF=/nxb-bin/usr/bin/readelf
RANLIB=/nxb-bin/usr/bin/ranlib
YACC=/nxb-bin/usr/bin/yacc
NM=/nxb-bin/usr/bin/nm
MAKE=/nxb-bin/usr/bin/make
STRINGS=/nxb-bin/usr/bin/strings
AWK=/nxb-bin/usr/bin/awk
FLEX=/nxb-bin/usr/bin/flex
CC=/nxb-bin/usr/bin/cc
CPP=/nxb-bin/usr/bin/cpp
CXX=/nxb-bin/usr/bin/c++
AS=/nxb-bin/usr/bin/as
NM=/nxb-bin/usr/bin/nm
LD=/nxb-bin/usr/bin/ld
OBJCOPY=/nxb-bin/usr/bin/objcopy
SIZE=/nxb-bin/usr/bin/size
STRIPBIN=/nxb-bin/usr/bin/strip
SED=/nxb-bin/usr/bin/sed
READELF=/nxb-bin/usr/bin/readelf
RANLIB=/nxb-bin/usr/bin/ranlib
<snip>
Message from boost-libs-1.55.0_9:
You have built the Boost library with thread support.

Don't forget to add -pthread to your linker options when
linking your code.
===>   vera++-1.3.0 depends on package: boost-libs>=0 - found
===>   Returning to build of vera++-1.3.0
===>   vera++-1.3.0 depends on file: /usr/local/bin/cmake - not found
===>   Installing existing package /packages/All/cmake-3.4.1.txz
[head-armv6-default-job-19] Installing cmake-3.4.1...
[head-armv6-default-job-19] `-- Installing expat-2.1.0_3...
[head-armv6-default-job-19] `-- Extracting expat-2.1.0_3: .......... done
[head-armv6-default-job-19] `-- Installing cmake-modules-3.4.1...
[head-armv6-default-job-19] `-- Extracting cmake-modules-3.4.1: .......... done
[head-armv6-default-job-19] `-- Installing curl-7.46.0_1...
[head-armv6-default-job-19] |   `-- Installing ca_root_nss-3.20.1...
[head-armv6-default-job-19] |   `-- Extracting ca_root_nss-3.20.1: ....... done
[head-armv6-default-job-19] `-- Extracting curl-7.46.0_1: .......... done
[head-armv6-default-job-19] `-- Installing libarchive-3.1.2_4,1...
[head-armv6-default-job-19] |   `-- Installing lzo2-2.09...
[head-armv6-default-job-19] |   `-- Extracting lzo2-2.09: .......... done
[head-armv6-default-job-19] `-- Extracting libarchive-3.1.2_4,1: .......... done
[head-armv6-default-job-19] `-- Installing jsoncpp-0.6.0.r2_2...
[head-armv6-default-job-19] `-- Extracting jsoncpp-0.6.0.r2_2: .......... done
[head-armv6-default-job-19] Extracting cmake-3.4.1: .......... done
Message from ca_root_nss-3.20.1:
********************************* WARNING *********************************

FreeBSD does not, and can not warrant that the certification authorities
whose certificates are included in this package have in any way been
audited for trustworthiness or RFC 3647 compliance.

Assessment and verification of trust is the complete responsibility of the
system administrator.

*********************************** NOTE **********************************

This package installs symlinks to support root certificates discovery by
default for software that uses OpenSSL.

This enables SSL Certificate Verification by client software without manual
intervention.

If you prefer to do this manually, replace the following symlinks with
either an empty file or your site-local certificate bundle.

  * /etc/ssl/cert.pem
  * /usr/local/etc/ssl/cert.pem
  * /usr/local/openssl/cert.pem

***************************************************************************
===>   vera++-1.3.0 depends on file: /usr/local/bin/cmake - found
===>   Returning to build of vera++-1.3.0
===========================================================================
=======================<phase: lib-depends    >============================
===>   vera++-1.3.0 depends on shared library: libluabind.so - not found
===>   Installing existing package /packages/All/luabind-0.9.1_3.txz
[head-armv6-default-job-19] Installing luabind-0.9.1_3...
[head-armv6-default-job-19] `-- Installing lua51-5.1.5_9...
[head-armv6-default-job-19] |   `-- Installing libedit-3.1.20150325_1...
[head-armv6-default-job-19] |   `-- Extracting libedit-3.1.20150325_1: 
.......... done
[head-armv6-default-job-19] `-- Extracting lua51-5.1.5_9: .......... done
[head-armv6-default-job-19] `-- Installing boost-python-libs-1.55.0...
[head-armv6-default-job-19] |   `-- Installing python27-2.7.10_1...
[head-armv6-default-job-19] |   | `-- Installing libffi-3.2.1...
[head-armv6-default-job-19] |   |   `-- Installing indexinfo-0.2.4...
[head-armv6-default-job-19] |   |   `-- Extracting indexinfo-0.2.4: .... done
[head-armv6-default-job-19] |   | `-- Extracting libffi-3.2.1: .......... done
[head-armv6-default-job-19] |   | `-- Installing gettext-runtime-0.19.6...
[head-armv6-default-job-19] |   | `-- Extracting gettext-runtime-0.19.6: 
.......... done
[head-armv6-default-job-19] |   | `-- Installing readline-6.3.8...
[head-armv6-default-job-19] |   | `-- Extracting readline-6.3.8: .......... done
[head-armv6-default-job-19] |   `-- Extracting python27-2.7.10_1: .......... 
done
[head-armv6-default-job-19] `-- Extracting boost-python-libs-1.55.0: .... done
[head-armv6-default-job-19] Extracting luabind-0.9.1_3: .......... done
Message from python27-2.7.10_1:
===========================================================================

Note that some standard Python modules are provided as separate ports
as they require additional dependencies. They are available as:

bsddb           databases/py-bsddb
gdbm            databases/py-gdbm
sqlite3         databases/py-sqlite3
tkinter         x11-toolkits/py-tkinter

===========================================================================
Message from boost-python-libs-1.55.0:
You have built the Boost library with thread support.

Don't forget to add -pthread to your linker options when
linking your code.

You have built the Boost.Python library. You have to add the following
options when building your own code:

Compiler options:
   -I/usr/local/include/python2.7 -I/usr/local/include

Linker options:
   -L/usr/local/lib/python2.7 -L/usr/local/lib -lboost_python -lpython2.7
===>   vera++-1.3.0 depends on shared library: libluabind.so - found 
(/usr/local/lib/libluabind.so)
===>   Returning to build of vera++-1.3.0
===>   vera++-1.3.0 depends on shared library: libboost_python.so - found 
(/usr/local/lib/libboost_python.so)
===>   vera++-1.3.0 depends on shared library: libtk86.so - not found
===>   Installing existing package /packages/All/tk86-8.6.4.txz
[head-armv6-default-job-19] Installing tk86-8.6.4...
[head-armv6-default-job-19] `-- Installing libXft-2.3.2_1...
[head-armv6-default-job-19] |   `-- Installing xproto-7.0.28...
[head-armv6-default-job-19] |   `-- Extracting xproto-7.0.28: .......... done
[head-armv6-default-job-19] |   `-- Installing fontconfig-2.11.1_1,1...
[head-armv6-default-job-19] |   | `-- Installing freetype2-2.6_1...
[head-armv6-default-job-19] |   | `-- Extracting freetype2-2.6_1: .......... 
done
[head-armv6-default-job-19] |   `-- Extracting fontconfig-2.11.1_1,1: 
.......... done
Running fc-cache to build fontconfig cache...
/usr/local/share/fonts: skipping, no such directory
/usr/local/lib/X11/fonts: skipping, no such directory
/root/.local/share/fonts: skipping, no such directory
/root/.fonts: skipping, no such directory
/var/db/fontconfig: cleaning cache directory
/root/.cache/fontconfig: not cleaning non-existent cache directory
/root/.fontconfig: not cleaning non-existent cache directory
fc-cache: succeeded
[head-armv6-default-job-19] |   `-- Installing libXrender-0.9.9...
[head-armv6-default-job-19] |   | `-- Installing renderproto-0.11.1...
[head-armv6-default-job-19] |   | `-- Extracting renderproto-0.11.1: .... done
[head-armv6-default-job-19] |   | `-- Installing libX11-1.6.3,1...
[head-armv6-default-job-19] |   |   `-- Installing kbproto-1.0.7...
[head-armv6-default-job-19] |   |   `-- Extracting kbproto-1.0.7: .......... 
done
[head-armv6-default-job-19] |   |   `-- Installing libXdmcp-1.1.2...
[head-armv6-default-job-19] |   |   `-- Extracting libXdmcp-1.1.2: ......... 
done
[head-armv6-default-job-19] |   |   `-- Installing libxcb-1.11.1...
[head-armv6-default-job-19] |   |   | `-- Installing libxml2-2.9.3...
[head-armv6-default-job-19] |   |   | `-- Extracting libxml2-2.9.3: .......... 
done
[head-armv6-default-job-19] |   |   | `-- Installing libpthread-stubs-0.3_6...
[head-armv6-default-job-19] |   |   | `-- Extracting libpthread-stubs-0.3_6: 
..... done
[head-armv6-default-job-19] |   |   | `-- Installing libXau-1.0.8_3...
[head-armv6-default-job-19] |   |   | `-- Extracting libXau-1.0.8_3: .......... 
done
[head-armv6-default-job-19] |   |   `-- Extracting libxcb-1.11.1: .......... 
done
[head-armv6-default-job-19] |   | `-- Extracting libX11-1.6.3,1: .......... done
[head-armv6-default-job-19] |   `-- Extracting libXrender-0.9.9: .......... done
[head-armv6-default-job-19] `-- Extracting libXft-2.3.2_1: ......... done
[head-armv6-default-job-19] `-- Installing tcl86-8.6.4...
[head-armv6-default-job-19] `-- Extracting tcl86-8.6.4: .......... done
[head-armv6-default-job-19] `-- Installing libXScrnSaver-1.2.2_3...
[head-armv6-default-job-19] |   `-- Installing libXext-1.3.3_1,1...
[head-armv6-default-job-19] |   | `-- Installing xextproto-7.3.0...
[head-armv6-default-job-19] |   | `-- Extracting xextproto-7.3.0: .......... 
done
[head-armv6-default-job-19] |   `-- Extracting libXext-1.3.3_1,1: .......... 
done
[head-armv6-default-job-19] |   `-- Installing scrnsaverproto-1.2.2...
[head-armv6-default-job-19] |   `-- Extracting scrnsaverproto-1.2.2: ... done
[head-armv6-default-job-19] `-- Extracting libXScrnSaver-1.2.2_3: .......... 
done
[head-armv6-default-job-19] Extracting tk86-8.6.4: .......... done
===>   vera++-1.3.0 depends on shared library: libtk86.so - found 
(/usr/local/lib/libtk86.so)
===>   Returning to build of vera++-1.3.0
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for vera++-1.3.0
===>  Performing out-of-source build
/bin/mkdir -p /wrkdirs/usr/ports/devel/vera++/work/.build
-- The C compiler identification is Clang 3.7.0
-- The CXX compiler identification is Clang 3.7.0
-- Check for working C compiler: /nxb-bin/usr/bin/cc
-- Check for working C compiler: /nxb-bin/usr/bin/cc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Detecting C compile features
CMake Error: Generator: execution of make failed. Make command was: 
"/usr/bin/make" "cmTC_9916c/fast"
-- Detecting C compile features - failed
-- Check for working CXX compiler: /nxb-bin/usr/bin/c++
-- Check for working CXX compiler: /nxb-bin/usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Detecting CXX compile features
-- Detecting CXX compile features - done
-- Found Tclsh: /usr/local/bin/tclsh8.6 (found version "8.6") 
-- Found TCL: /usr/local/lib/libtcl86.so  
-- Found TCLTK: /usr/local/lib/libtcl86.so  
-- Found TK: /usr/local/lib/libtk86.so  
-- Found PythonInterp: /usr/local/bin/python2.7 (found suitable version 
"2.7.10", minimum required is "2.0") 
-- Found PythonLibs: /usr/local/lib/libpython2.7.so (found suitable version 
"2.7.10", minimum required is "2.0") 
-- Boost version: 1.55.0
-- Found the following Boost libraries:
--   filesystem
--   system
--   program_options
--   regex
--   wave
--   python
-- Found Lua51: /usr/local/lib/liblua-5.1.so;/usr/lib/libm.so (found version 
"5.1.5") 
-- Looking for Luabind...
-- Found Luabind: /usr/local/lib/libluabind.so  
-- Found Luabind: /usr/local/lib/libluabind.so
-- Configuring incomplete, errors occurred!
See also 
"/wrkdirs/usr/ports/devel/vera++/work/.build/CMakeFiles/CMakeOutput.log".
See also 
"/wrkdirs/usr/ports/devel/vera++/work/.build/CMakeFiles/CMakeError.log".
*** Error code 1

Stop.
make: stopped in /usr/ports/devel/vera++
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to